package com.microservices.pms.document.domain;

import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户收藏文档对象 pms_document_user_favorite
 * 
 * @author 万佳
 * @date 2024-01-17
 */
public class PmsDocumentUserFavorite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 文档ID */
    @Excel(name = "文档ID")
    private Long pmsDocumentId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setPmsDocumentId(Long pmsDocumentId) 
    {
        this.pmsDocumentId = pmsDocumentId;
    }

    public Long getPmsDocumentId() 
    {
        return pmsDocumentId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("pmsDocumentId", getPmsDocumentId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
